Bug 219518 - getPrinterFromCupsDevice() should use Foomatic.getPPD()
getPrinterFromCupsDevice() should use Foomatic.getPPD()
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC7Blocker
  Show dependency treegraph
 
Reported: 2006-12-13 13:13 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.7.43-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 03:36:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-12-13 13:13:56 EST
Foomatic.getPPD() should use the same method as getPrinterFromCupsDevice() for
matching IEEE 1284 IDs to models.  Currently, only getPrinterFromCupsDevice()
knows how to search through the models list case-insensitively in the case of
the IEEE 1284 Device ID not being known.
Comment 1 Tim Waugh 2006-12-14 07:54:32 EST
Fixed in foomatic.py:1.50.
Comment 2 Fedora Update System 2007-01-05 13:20:57 EST
Fixed in update: system-config-printer-0.7.45-1.fc6

Note You need to log in before you can comment on or make changes to this bug.